#jump
execute as @s[gamemode=!spectator] at @s if block ~ ~-1 ~ air run scoreboard players set @s jump 1
execute as @s[gamemode=!spectator,tag=!giveJump] at @s unless score @s jump_effect matches 5 if block ~ ~-1 ~ lime_concrete run playsound block.beacon.activate master @s ~ ~ ~ 100 2
execute as @s[gamemode=!spectator] at @s unless score @s jump_effect matches 5 if block ~ ~-1 ~ lime_concrete run tag @s add giveJump
execute as @s[tag=giveJump] at @s run scoreboard players set @s jump_effect 5
execute as @s[gamemode=!spectator,tag=giveJump] at @s unless block ~ ~-1 ~ lime_concrete run tag @s remove giveJump

execute as @s[gamemode=!spectator] at @s if score @s jump_effect matches 1.. run effect give @s jump_boost 1000000 3 true
execute as @s[gamemode=!spectator] at @s if score @s jump matches 1.. if score @s jump_effect matches 4 run playsound block.beacon.deactivate master @s ~ ~ ~ 100 2
execute as @s[gamemode=!spectator] at @s if score @s jump matches 1.. if score @s jump_effect matches 1.. run scoreboard players remove @s jump_effect 1
execute as @s[gamemode=!spectator] at @s if score @s jump matches 1.. if score @s jump_effect matches 0 run effect clear @s jump_boost
execute as @s[gamemode=!spectator] at @s if score @s jump matches 1.. if score @s jump_effect matches 0 run scoreboard players reset @s jump

execute as @s[gamemode=!spectator] at @s if score @s jump_effect matches 1.. run particle minecraft:dust 0 1 0 1 ~ ~0.5 ~ 0 0 0 1 5 normal

#speed
execute as @s[gamemode=!spectator] at @s if block ~ ~-1 ~ air run scoreboard players set @s speed 1
execute as @s[gamemode=!spectator,tag=!givespeed] at @s unless score @s speed_effect matches 5 if block ~ ~-1 ~ light_blue_concrete run playsound block.beacon.activate master @s ~ ~ ~ 100 2
execute as @s[gamemode=!spectator] at @s unless score @s speed_effect matches 5 if block ~ ~-1 ~ light_blue_concrete run tag @s add givespeed
execute as @s[tag=givespeed] at @s run scoreboard players set @s speed_effect 5
execute as @s[gamemode=!spectator,tag=givespeed] at @s unless block ~ ~-1 ~ light_blue_concrete run tag @s remove givespeed

execute as @s[gamemode=!spectator] at @s if score @s speed_effect matches 1.. run effect give @s speed 1000000 3 true
execute as @s[gamemode=!spectator] at @s if score @s speed matches 1.. if score @s speed_effect matches 4 run playsound block.beacon.deactivate master @s ~ ~ ~ 100 2
execute as @s[gamemode=!spectator] at @s if score @s speed matches 1.. if score @s speed_effect matches 1.. run scoreboard players remove @s speed_effect 1
execute as @s[gamemode=!spectator] at @s if score @s speed matches 1.. if score @s speed_effect matches 0 run effect clear @s speed
execute as @s[gamemode=!spectator] at @s if score @s speed matches 1.. if score @s speed_effect matches 0 run scoreboard players reset @s speed

execute as @s[gamemode=!spectator] at @s if score @s speed_effect matches 1.. run particle minecraft:dust 0 0.75 1 1 ~ ~0.5 ~ 0 0 0 1 5 normal

#levitation
execute as @s[gamemode=!spectator,tag=!givelev] at @s unless score @s lev_effect matches 20.. if block ~ ~-1 ~ magenta_concrete run playsound block.beacon.activate master @s ~ ~ ~ 100 2
execute as @s[gamemode=!spectator] at @s unless score @s lev_effect matches 5 if block ~ ~-1 ~ magenta_concrete run tag @s add givelev
execute as @s[tag=givelev] at @s run scoreboard players set @s lev_effect 40
execute as @s[gamemode=!spectator,tag=givelev] at @s unless block ~ ~-1 ~ magenta_concrete run tag @s remove givelev

execute as @s[gamemode=!spectator] at @s if block ~ ~-1 ~ magenta_concrete run effect give @s levitation 2 255 true
execute as @s[gamemode=!spectator] at @s unless block ~ ~-1 ~ magenta_concrete if score @s lev_effect matches 1 run playsound block.beacon.deactivate master @s ~ ~ ~ 100 2
execute as @s[gamemode=!spectator] at @s unless block ~ ~-1 ~ magenta_concrete if score @s lev_effect matches 1.. run scoreboard players remove @s lev_effect 1

execute as @s[gamemode=!spectator] at @s if score @s lev_effect matches 1.. run particle minecraft:dust 0.808 0.129 0.545 1 ~ ~0.5 ~ 0 0 0 1 5 normal


#black blocks teleport
execute as @s[x=0,y=111,z=51,dx=0,dy=0,dz=0] at @s run playsound entity.enderman.teleport master @s ~ ~ ~ 100 1.1
execute as @s[x=0,y=111,z=51,dx=0,dy=0,dz=0] at @s run teleport @s 0 96 68 0 0
execute as @s[x=-1,y=106,z=93,dx=0,dy=0,dz=0] at @s run playsound entity.enderman.teleport master @s ~ ~ ~ 100 1.1
execute as @s[x=-1,y=106,z=93,dx=0,dy=0,dz=0] at @s run teleport @s -2 96 79 0 0
execute as @s[x=3,y=114,z=125,dx=0,dy=0,dz=0] at @s run playsound entity.enderman.teleport master @s ~ ~ ~ 100 1.1
execute as @s[x=3,y=114,z=125,dx=0,dy=0,dz=0] at @s run teleport @s 2 116 143 90 30
execute as @s[x=10,y=95,z=163,dx=0,dy=0,dz=0] at @s run playsound entity.enderman.teleport master @s ~ ~ ~ 100 1.1
execute as @s[x=10,y=95,z=163,dx=0,dy=0,dz=0] at @s run effect give @s resistance 5 100 true
execute as @s[x=10,y=95,z=163,dx=0,dy=0,dz=0] at @s run teleport @s 922 231 1029 -90 0

execute as @s[x=873,y=99,z=980,dx=-2,dy=4,dz=-6] at @s run teleport @s 0 97 185 ~270 ~

#final golden circle
execute at @s if score @s[tag=!end_pass] yPos matches 107 if block ~ ~ ~ structure_void run playsound entity.player.levelup master @s ~ ~ ~ 1 1
execute at @s if score @s yPos matches 107 if block ~ ~ ~ structure_void run tag @s add end_pass

execute at @s if score @s yPos matches 95 if block ~ ~ ~ structure_void if entity @s[tag=!end_pass] run playsound entity.villager.no master @s ~ ~ ~ 100 1
execute at @s if score @s yPos matches 95 if block ~ ~ ~ structure_void if entity @s[tag=!end_pass] run tellraw @s {"text":"You must go through the golden rings first!","color":"red"}
execute at @s if score @s yPos matches 95 if block ~ ~ ~ structure_void if entity @s[tag=!end_pass] run tp @s 0 96 199 0 0

#execute at @s if score @s yPos matches 95 if block ~ ~ ~ structure_void if entity @s[tag=end_pass] run tag @s remove end_pass

