scoreboard players reset @a death
tag @a add race
title @a times 20 120 40
function chop:race/reset_timer
kill @e[name=camera]
scoreboard players set camera stats 120
gamemode spectator @a
effect give @a instant_health 1 10 true
clear @a ender_pearl

execute at @e[type=area_effect_cloud,name=track,sort=nearest,limit=1] if entity @e[type=area_effect_cloud,distance=..1,tag=end] run tag @a add end
execute at @e[type=area_effect_cloud,name=track,sort=nearest,limit=1] if entity @e[type=area_effect_cloud,distance=..1,tag=flower] run tag @a add flower
execute at @e[type=area_effect_cloud,name=track,sort=nearest,limit=1] if entity @e[type=area_effect_cloud,distance=..1,tag=ocean] run tag @a add ocean
execute at @e[type=area_effect_cloud,name=track,sort=nearest,limit=1] if entity @e[type=area_effect_cloud,distance=..1,tag=desert] run tag @a add desert
execute at @e[type=area_effect_cloud,name=track,sort=nearest,limit=1] if entity @e[type=area_effect_cloud,distance=..1,tag=honey] run tag @a add honey
execute at @e[type=area_effect_cloud,name=track,sort=nearest,limit=1] if entity @e[type=area_effect_cloud,distance=..1,tag=sky] run tag @a add sky
execute at @e[type=area_effect_cloud,name=track,sort=nearest,limit=1] if entity @e[type=area_effect_cloud,distance=..1,tag=mountain] run tag @a add mountain
execute at @e[type=area_effect_cloud,name=track,sort=nearest,limit=1] if entity @e[type=area_effect_cloud,distance=..1,tag=nether] run tag @a add nether

execute if entity @s[tag=end] run summon minecraft:armor_stand 0 140 22 {Rotation:[0f,45f],CustomName:"\"camera\"",NoGravity:1,Invisible:1,Tags:["end"]}
execute if entity @s[tag=flower] run summon minecraft:armor_stand -16 115 16 {Rotation:[45f,45f],CustomName:"\"camera\"",NoGravity:1,Invisible:1,Tags:["flower"]}
execute if entity @s[tag=ocean] run summon minecraft:armor_stand -22 125 0 {Rotation:[90f,45f],CustomName:"\"camera\"",NoGravity:1,Invisible:1,Tags:["ocean"]}
execute if entity @s[tag=desert] run summon minecraft:armor_stand -16 115 -16 {Rotation:[135f,45f],CustomName:"\"camera\"",NoGravity:1,Invisible:1,Tags:["desert"]}
execute if entity @s[tag=honey] run summon minecraft:armor_stand 0 125 -22 {Rotation:[180f,45f],CustomName:"\"camera\"",NoGravity:1,Invisible:1,Tags:["honey"]}
execute if entity @s[tag=sky] run summon minecraft:armor_stand 16 150 -16 {Rotation:[-135f,45f],CustomName:"\"camera\"",NoGravity:1,Invisible:1,Tags:["sky"]}
execute if entity @s[tag=mountain] run summon minecraft:armor_stand 22 140 0 {Rotation:[-90f,45f],CustomName:"\"camera\"",NoGravity:1,Invisible:1,Tags:["mountain"]}
execute if entity @s[tag=nether] run summon minecraft:armor_stand 16 115 16 {Rotation:[-45f,45f],CustomName:"\"camera\"",NoGravity:1,Invisible:1,Tags:["nether"]}

title @s subtitle {"text":"Get ready to race!","color":"yellow"}
execute if entity @s[tag=end] run title @a title {"text":"End","color":"dark_purple"}
execute if entity @s[tag=flower] run title @a title {"text":"Flower","color":"green"}
execute if entity @s[tag=ocean] run title @a title {"text":"Ocean","color":"blue"}
execute if entity @s[tag=desert] run title @a title {"text":"Desert","color":"gold"}
execute if entity @s[tag=honey] run title @a title {"text":"Honey Forest","color":"white"}
execute if entity @s[tag=sky] run title @a title {"text":"Sky","color":"aqua"}
execute if entity @s[tag=mountain] run title @a title {"text":"Mountain","color":"gray"}
execute if entity @s[tag=nether] run title @a title {"text":"Nether","color":"red"}
execute at @e[name=camera] run playsound minecraft:block.note_block.bell master @a ~ ~ ~ 1 0

#health
execute as @a at @s run function chop:lobby/options/set_health

#tag resets
scoreboard players reset @a speed_effect
scoreboard players reset @a jump_effect
tag @a remove end_pass
tag @s remove coin
scoreboard players reset @a desert_button

#checkpoint reset
tag @a remove checkpoint