# Falling in void
execute if score inRace stats matches 0 positioned 0 100 0 as @a[distance=..300,scores={yPos=..90}] at @s run function chop:lobby/fall
execute if score inRace stats matches 1 as @a[distance=..300,scores={yPos=..90}] at @s unless score @s finishRace matches 1.. run function chop:race/fall

# Dying
execute as @e[type=player,scores={death=1..},tag=race,gamemode=adventure] run function chop:race/die

# Start
execute if score inRace stats matches 0 positioned 0 100 0 as @a[tag=!race,distance=..30] at @s if block ~ 0 ~ structure_void run function chop:race/start

# Camera view when race is started
execute if score camera stats matches -100.. run function chop:race/camera

# Timer
execute if score inRace stats matches 1 run function chop:race/timer

# Finishing
execute if score inRace stats matches 1 as @a[tag=race,tag=finish_line,gamemode=!spectator] run function chop:race/finish
execute as @a[scores={finishRace=1..}] run scoreboard players remove @s finishRace 1
execute as @a[scores={finishRace=0}] run gamemode spectator @s
execute as @a[scores={finishRace=0}] run scoreboard players reset @s finishRace

# End Race
scoreboard players enable @a endRace

execute as @a at @s unless score $endRace timer matches 1.. if score @s endRace matches 1 run scoreboard players set $endRace endRace 200
execute as @a at @s unless score $endRace timer matches 1.. if score @s endRace matches 1 run tellraw @a ["",{"selector":"@s","color":"red"},{"text":" is ending the race, you have 10 seconds to ","color":"gold"},{"text":"click here","underlined":true,"color":"gold","clickEvent":{"action":"run_command","value":"/trigger endRace set 2"}},{"text":" and cancel this action","color":"gold"}]
execute as @a at @s unless score $endRace timer matches 1.. if score @s endRace matches 1 run playsound minecraft:entity.elder_guardian.curse master @a ~ ~ ~ 1000 1
execute as @a at @s unless score $endRace timer matches 1.. if score @s endRace matches 1 run scoreboard players set $endRace timer 200
execute if score $endRace endRace matches 1 run function chop:race/end

# Continue Race
execute as @a at @s if score @s endRace matches 2 if score $endRace endRace matches 1.. run tellraw @a ["",{"selector":"@s","color":"red"},{"text":" wants the race to continue","color":"gold"}]
execute as @a at @s if score @s endRace matches 2 if score $endRace endRace matches 1.. run playsound entity.ender_dragon.growl master @a ~ ~ ~ 1000 1
execute as @a at @s if score @s endRace matches 2 if score $endRace endRace matches 1.. run scoreboard players set $endRace endRace 0

execute if score $endRace endRace matches 1.. run scoreboard players remove $endRace endRace 1
execute as @a at @s if score @s endRace matches 1.. run scoreboard players reset @s endRace